Python Sahara client for APIv2
==============================

Overview
--------

There is also support for Sahara's experimental APIv2.


Supported operations
--------------------

Plugin ops
~~~~~~~~~~

.. autoclass:: saharaclient.api.plugins.PluginManagerV2
    :members:
    :inherited-members:

Image Registry ops
~~~~~~~~~~~~~~~~~~

.. autoclass:: saharaclient.api.images.ImageManagerV2
    :members:
    :inherited-members:

Node Group Template ops
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: saharaclient.api.node_group_templates.NodeGroupTemplateManagerV2
    :members:
    :inherited-members:

Cluster Template ops
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: saharaclient.api.cluster_templates.ClusterTemplateManagerV2
    :members:
    :inherited-members:

Cluster ops
~~~~~~~~~~~

.. autoclass:: saharaclient.api.clusters.ClusterManagerV2
   :members:
   :inherited-members:

Data Source ops
~~~~~~~~~~~~~~~

.. autoclass:: saharaclient.api.data_sources.DataSourceManagerV2
   :members:
   :inherited-members:

Job Binary ops
~~~~~~~~~~~~~~

.. autoclass:: saharaclient.api.job_binaries.JobBinariesManagerV2
   :members:
   :inherited-members:

Job Template ops
~~~~~~~~~~~~~~~~

.. autoclass:: saharaclient.api.v2.job_templates.JobTemplatesManagerV2
   :members:
   :inherited-members:

Job ops
~~~~~~~

.. autoclass:: saharaclient.api.v2.jobs.JobsManagerV2
   :members:
   :inherited-members:

Job Types ops
~~~~~~~~~~~~~

.. autoclass:: saharaclient.api.job_types.JobTypesManager
   :members:
   :inherited-members:
   :noindex:
